Definir tags do bucket
curl --request PUT \
--url https://storage.{region}.basaltic.sh/v1/buckets/{bucket}/tagging \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tags": {
"environment": "production",
"team": "platform"
}
}
'import requests
url = "https://storage.{region}.basaltic.sh/v1/buckets/{bucket}/tagging"
payload = { "tags": {
"environment": "production",
"team": "platform"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tags: {environment: 'production', team: 'platform'}})
};
fetch('https://storage.{region}.basaltic.sh/v1/buckets/{bucket}/tagging', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Tags
Definir tags do bucket
PUT
/
v1
/
buckets
/
{bucket}
/
tagging
Definir tags do bucket
Requer a ação do IAM
storage:PutBucketTagging. Consulte permissões de armazenamento para obter a lista completa, o que cada uma abrange e um exemplo de política.Autorizações
Um token bearer OAuth 2.0, enviado como Authorization: Bearer <token>. Esta é a forma recomendada de autenticação.
Obtenha o token trocando o par de chaves de acesso de uma conta de serviço em POST /v1/oauth/token com grant_type=client_credentials. Esse é o fluxo padrão de credenciais de cliente; bibliotecas compatíveis com OAuth podem obter e renovar o token para você.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Os tokens duram uma hora por padrão. O mesmo par de chaves de acesso também serve como credencial AWS SigV4 para o endpoint de objetos compatível com S3, que aceita somente esse método de autenticação.
Parâmetros de caminho
Exemplo:
"my-app-assets"
Corpo
application/json
Show child attributes
Show child attributes
Exemplo:
{
"environment": "production",
"team": "platform"
}
Resposta
Tag set armazenado.

